FlxpointAPI Help CenterBeta

Get Users

gethttps://api.flxpoint.com/account/users

Use this when you want to pull account data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Only account API Tokens can use this endpoint. Get users for an account.

Request

Query parameters
  • idsqueryarray[integer]

    A list of ids to filter on

  • emailsqueryarray[string]

    A list of emails to filter on

Example request

get/account/users
curl -X GET "https://api.flxpoint.com/account/users" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[User]
idinteger
firstNamestringrequired
lastNamestringrequired
emailstringrequired
isPrimaryboolean
insertedAtstring (date-time)
updatedAtstring (date-time)
lastLoginAtstring (date-time)
notificationsLastCheckedAtstring (date-time)
lastSessionAtstring (date-time)
minutesOfActivityinteger
roleobject
idintegerrequired
namestringrequired
allowedAdminSupport SpecialistRead Only
handlestringrequired
allowedadminsupportread_only
Example response
[
  {
    "id": 0,
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "isPrimary": true,
    "insertedAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "lastLoginAt": "2026-04-20T00:00:00Z",
    "notificationsLastCheckedAt": "2026-04-20T00:00:00Z",
    "lastSessionAt": "2026-04-20T00:00:00Z",
    "minutesOfActivity": 0,
    "role": {
      "id": 0,
      "name": "Admin",
      "handle": "admin"
    }
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Users",
    "description": "Only account API Tokens can use this endpoint. Get users for an account.",
    "parameters": [
      {
        "schema": {
          "type": "array",
          "maxItems": 50,
          "example": "123,456,789",
          "uniqueItems": true,
          "items": {
            "type": "integer"
          }
        },
        "in": "query",
        "name": "ids",
        "description": "A list of ids to filter on"
      },
      {
        "schema": {
          "type": "array",
          "maxItems": 50,
          "example": "test@test.com,test2@test.com,test3@test.com",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        },
        "in": "query",
        "name": "emails",
        "description": "A list of emails to filter on"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/User"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight